ข้ามไปยังเนื้อหา

Flux 3 Draft Enhance

ผสานการทำงาน

ID โมเดล blackforestlabs/flux-3/draft-enhance
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/blackforestlabs/flux-3/draft-enhance?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "draft_cache_url": "https://example.com/your-file.bin"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

คำขอนี้: ≈$3.48 3,480 เครดิต API เรียกใช้ในหน้านี้

รับคีย์ API
Black Forest Labs วิดีโอเป็นวิดีโอ ลิปซิงก์ #stylized#transform#lipsync

เรนเดอร์ร่างที่บันทึกไว้อีกครั้งด้วยคุณภาพเต็ม โดยคงซีดและการเคลื่อนไหวเดิมไว้

Black Forest Labs · วิดีโอ

ผลลัพธ์แรกของคุณจะแสดงที่นี่

สร้างคำขอด้านล่างและเรียกใช้ด้วยคีย์ API ของคุณ เอาต์พุตจะถูกคัดลอกไปยังพื้นที่จัดเก็บของเรา และเก็บไว้ตลอดไปหรือฟรี 7 วัน

สร้างคำขอ

ตัวควบคุมสร้างจากสคีมาของโมเดล โค้ดและราคาจะอัปเดตเมื่อคุณเปลี่ยนค่า

•จำเป็น

ชุดแคชฉบับร่างที่เข้ารหัสสำหรับการเพิ่มคุณภาพ ระบุเป็น URL หรือ data URI

ขั้นสูง safety_tolerance
ค่าเริ่มต้น 2

ค่าความเข้มงวดด้านความปลอดภัยของวิดีโอใช้สเกลที่ผ่อนปรนที่สุดคือ 4 และเข้มงวดที่สุดคือ 0

POST /run/blackforestlabs/flux-3/draft-enhance?wait=20 ใบเสนอราคา → $3.48
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/blackforestlabs/flux-3/draft-enhance?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "draft_cache_url": "https://example.com/your-file.bin"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

เรียกใช้คำขอนี้

คีย์ของคุณจะอยู่ในเบราว์เซอร์นี้ โดยส่งไปยัง Doitong API เท่านั้น และจะบันทึกใน localStorage ก็ต่อเมื่อคุณเลือกจดจำ รับคีย์ API

เกี่ยวกับ Flux 3 Draft Enhance

รับชุดแคชร่างที่ส่งคืนโดยเอนด์พอยต์ร่างรายการใดรายการหนึ่ง โดยส่งผ่าน `draft_cache_url` แล้วเรนเดอร์วิดีโอสุดท้ายจากชุดนั้น การเคลื่อนไหวและซีดของร่างจะถูกเก็บไว้ จึงไม่จำเป็นต้องใช้พรอมต์ข้อความใหม่ นอกจากแคชแล้ว ปรับได้เฉพาะ `safety_tolerance` (0 ถึง 4)

พารามิเตอร์

ชื่อประเภท ค่าเริ่มต้นค่าที่อนุญาต คำอธิบาย
draft_cache_urlจำเป็น
ประเภทstring
ชุดแคชฉบับร่างที่เข้ารหัสสำหรับการเพิ่มคุณภาพ ระบุเป็น URL หรือ data URI
safety_toleranceไม่บังคับ
ประเภทinteger
ค่าเริ่มต้น2
0 – 4
ค่าความเข้มงวดด้านความปลอดภัยของวิดีโอใช้สเกลที่ผ่อนปรนที่สุดคือ 4 และเข้มงวดที่สุดคือ 0
จำเป็น

เอาต์พุต

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "blackforestlabs/flux-3/draft-enhance",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 3480,
    "usd": "3.48",
    "charged": 3480,
    "refunded": 0
  },
  "input": {
    "draft_cache_url": "https://example.com/your-file.bin"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ไฟล์ของคุณ คุณเลือกเองทุก outputs[].url คือสำเนาบนพื้นที่จัดเก็บของเรา: เก็บไว้ตลอดไป (คิดค่าบริการต่อ GB-เดือน) หรือฟรี 7 วัน โดยกำหนดได้ในการตั้งค่าบัญชีหรือ ?storage=
รูปแบบเดียวกันในทุกโมเดลtype, url, content_type, width, height และ duration สำหรับภาพ วิดีโอ และเสียงเหมือนกันทั้งหมด ส่วน output คือออบเจ็กต์ผลลัพธ์ของโมเดลเอง
ฟิลด์ของเอาต์พุต
video
object {url, content_type, file_name, file_size}วิดีโอที่ได้จากการเพิ่มคุณภาพ

โมเดลเพิ่มเติม: วิดีโอเป็นวิดีโอ

สำหรับเอเจนต์ AI: หน้า Markdown นี้อยู่ที่ https://doitong.com/th/developers/models/blackforestlabs/flux-3/draft-enhance.md. โมเดลและคู่มือทั้งหมด: https://doitong.com/developers/llms.txt